# PathFindPathOption | xrpl
Documentation for xrpl

# Interface PathFindPathOption

#### Hierarchy

- PathFindPathOption

- Defined in packages/xrpl/src/models/methods/pathFind.ts:58

#####
Index

### Properties

destination_amount?
paths_computed
source_amount

## Properties

### `Optional` destination_amount

destination_amount?: Amount

Destination Amount that the destination would receive along this path. If the `send_max` field is set, this field will be set.

- Defined in packages/xrpl/src/models/methods/pathFind.ts:70

### paths_computed

paths_computed: Path []

Array of arrays of objects defining payment paths.

- Defined in packages/xrpl/src/models/methods/pathFind.ts:60

### source_amount

source_amount: Amount

Currency Amount that the source would have to send along this path for the. Destination to receive the desired amount.

- Defined in packages/xrpl/src/models/methods/pathFind.ts:65

Generated using TypeDoc